﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.36366
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------
namespace QMDDashboard_TPL.ChecklistsModule.RWCForm {
    using System.Web.UI.WebControls.Expressions;
    using System.Web.UI.HtmlControls;
    using System.Collections;
    using System.Text;
    using System.Web.UI;
    using System.Collections.Generic;
    using System.Linq;
    using System.Xml.Linq;
    using Microsoft.SharePoint.WebPartPages;
    using System.Web.SessionState;
    using System.Configuration;
    using Microsoft.SharePoint;
    using System.Web;
    using System.Web.DynamicData;
    using System.Web.Caching;
    using System.Web.Profile;
    using System.ComponentModel.DataAnnotations;
    using System.Web.UI.WebControls;
    using System.Web.Security;
    using System;
    using Microsoft.SharePoint.Utilities;
    using System.Text.RegularExpressions;
    using System.Collections.Specialized;
    using System.Web.UI.WebControls.WebParts;
    using Microsoft.SharePoint.WebControls;
    public partial class RWCForm {
        protected global::System.Web.UI.WebControls.Image imgTataLogo;
        protected global::System.Web.UI.WebControls.Label Label12;
        protected global::System.Web.UI.WebControls.Label Label13;
        protected global::System.Web.UI.HtmlControls.HtmlTable tblSWI;
        protected global::System.Web.UI.WebControls.Label Label4;
        protected global::System.Web.UI.WebControls.Label lblRWCNO;
        protected global::System.Web.UI.WebControls.Label lblDateTime;
        protected global::Microsoft.SharePoint.WebControls.DateTimeControl dtSWIdate;
        protected global::System.Web.UI.WebControls.Label Label14;
        protected global::System.Web.UI.WebControls.Label lblProjectLocation;
        protected global::System.Web.UI.WebControls.Label lblTPLJobNo;
        protected global::System.Web.UI.WebControls.Label Label22;
        protected global::System.Web.UI.WebControls.Label Label29;
        protected global::System.Web.UI.WebControls.TextBox txtSubcontractors;
        protected global::System.Web.UI.WebControls.Label Label28;
        protected global::System.Web.UI.WebControls.TextBox txtPackage;
        protected global::System.Web.UI.WebControls.Label Label27;
        protected global::System.Web.UI.WebControls.TextBox txtDescof;
        protected global::System.Web.UI.WebControls.Label Label1;
        protected global::System.Web.UI.WebControls.RadioButton rdCustomerComplaint;
        protected global::System.Web.UI.WebControls.RadioButton rdNCR;
        protected global::System.Web.UI.WebControls.RadioButton rdFIN;
        protected global::System.Web.UI.WebControls.RadioButton rdNote;
        protected global::System.Web.UI.WebControls.RadioButton rdEmail;
        protected global::System.Web.UI.WebControls.Label lbldesc;
        protected global::System.Web.UI.WebControls.Label lblRWCroot;
        protected global::System.Web.UI.WebControls.CheckBox CheckBox1;
        protected global::System.Web.UI.WebControls.CheckBox CheckBox2;
        protected global::System.Web.UI.WebControls.CheckBox CheckBox3;
        protected global::System.Web.UI.WebControls.CheckBox CheckBox4;
        protected global::System.Web.UI.WebControls.CheckBox CheckBox5;
        protected global::System.Web.UI.WebControls.CheckBox CheckBox6;
        protected global::System.Web.UI.WebControls.CheckBox CheckBox7;
        protected global::System.Web.UI.WebControls.CheckBox CheckBox8;
        protected global::System.Web.UI.WebControls.CheckBox CheckBox9;
        protected global::System.Web.UI.WebControls.CheckBox CheckBox10;
        protected global::System.Web.UI.HtmlControls.HtmlGenericControl Div1;
        protected global::System.Web.UI.WebControls.Label RWCDetails;
        protected global::System.Web.UI.WebControls.TextBox txtRWCdetails;
        protected global::System.Web.UI.WebControls.Label Label15;
        protected global::System.Web.UI.WebControls.TextBox txtINR;
        protected global::System.Web.UI.WebControls.TextBox txtNumberField;
        protected global::System.Web.UI.HtmlControls.HtmlGenericControl Div2;
        protected global::System.Web.UI.WebControls.Label Label16;
        protected global::System.Web.UI.WebControls.TextBox txtRCM;
        protected global::System.Web.UI.WebControls.Label Label17;
        protected global::System.Web.UI.WebControls.TextBox TextBox1;
        protected global::System.Web.UI.WebControls.TextBox TextBox2;
        protected global::System.Web.UI.HtmlControls.HtmlGenericControl Div3;
        public static implicit operator global::System.Web.UI.TemplateControl(RWCForm target) 
        {
            return target == null ? null : target.TemplateControl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Image @__BuildControlimgTataLogo() {
            global::System.Web.UI.WebControls.Image @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Image();
            this.imgTataLogo = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "imgTataLogo";
            @__ctrl.ImageUrl = "../../_layouts/15/images/TataLogo.jpg";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel12() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label12 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label12";
            @__ctrl.Text = "TATA PROJECTS LTD";
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Large;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel13() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label13 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label13";
            @__ctrl.Text = "REWORK CARD(RWC)";
            @__ctrl.Font.Size = global::System.Web.UI.WebControls.FontUnit.Large;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableCell @__BuildControl__control5() {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableCell("td");
            @__ctrl.ColSpan = 2;
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n            <table>\r\n                <tr>\r\n                    <td>\r\n          " +
                        "              "));
            global::System.Web.UI.WebControls.Image @__ctrl1;
            @__ctrl1 = this.@__BuildControlimgTataLogo();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl(@"
                    </td>
                    <td style=""width: 100%;"">
                        <table style=""width: 100%"">
                            <tr>
                                <td style=""text-align: center"">
                                    "));
            global::System.Web.UI.WebControls.Label @__ctrl2;
            @__ctrl2 = this.@__BuildControlLabel12();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                                </td>\r\n                            </tr>\r\n     " +
                        "                       <tr>\r\n                                <td style=\"text-ali" +
                        "gn: center\">\r\n                                    "));
            global::System.Web.UI.WebControls.Label @__ctrl3;
            @__ctrl3 = this.@__BuildControlLabel13();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                                </td>\r\n                            </tr>\r\n     " +
                        "                   </table>\r\n                    </td>\r\n                </tr>\r\n " +
                        "           </table>\r\n        "));
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control4(System.Web.UI.HtmlControls.HtmlTableCellCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableCell @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control5();
            @__ctrl.Add(@__ctrl1);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTableRow @__BuildControl__control3() {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTableRow();
            this.@__BuildControl__control4(@__ctrl.Cells);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControl__control2(System.Web.UI.HtmlControls.HtmlTableRowCollection @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTableRow @__ctrl1;
            @__ctrl1 = this.@__BuildControl__control3();
            @__ctrl.Add(@__ctrl1);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlTable @__BuildControltblSWI() {
            global::System.Web.UI.HtmlControls.HtmlTable @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlTable();
            this.tblSWI = @__ctrl;
            @__ctrl.Border = 1;
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "width: 80%; font-family: \'Trebuchet MS\'; font-size: 14px");
            @__ctrl.ID = "tblSWI";
            this.@__BuildControl__control2(@__ctrl.Rows);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel4() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label4 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label4";
            @__ctrl.Text = "RWC No:";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "font-weight: 600");
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblRWCNO() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblRWCNO = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblRWCNO";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblDateTime() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblDateTime = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblDateTime";
            @__ctrl.Text = "Date";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "font-weight: 600");
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::Microsoft.SharePoint.WebControls.DateTimeControl @__BuildControldtSWIdate() {
            global::Microsoft.SharePoint.WebControls.DateTimeControl @__ctrl;
            @__ctrl = new global::Microsoft.SharePoint.WebControls.DateTimeControl();
            this.dtSWIdate = @__ctrl;
            @__ctrl.ID = "dtSWIdate";
            @__ctrl.DateOnly = true;
            @__ctrl.Enabled = false;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel14() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label14 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label14";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "font-weight: 600");
            @__ctrl.Text = "Project/Location :";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblProjectLocation() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblProjectLocation = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblProjectLocation";
            @__ctrl.Text = "Auto populated";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblTPLJobNo() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblTPLJobNo = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblTPLJobNo";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "font-weight: 600");
            @__ctrl.Text = "TPL Job No. :";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel22() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label22 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label22";
            @__ctrl.Text = "Auto populated";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel29() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label29 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label29";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "font-weight: 600");
            @__ctrl.Text = "Subcontractor:";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControltxtSubcontractors() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.txtSubcontractors = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "txtSubcontractors";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(60D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel28() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label28 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label28";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("Style", "font-weight: 600");
            @__ctrl.Text = "P.O./W.O. No.:";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControltxtPackage() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.txtPackage = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "txtPackage";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(50D, global::System.Web.UI.WebControls.UnitType.Percentage);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel27() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label27 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label27";
            @__ctrl.Font.Bold = true;
            @__ctrl.Text = "Description of Package / Work :";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControltxtDescof() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.txtDescof = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "txtDescof";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(300D, global::System.Web.UI.WebControls.UnitType.Pixel);
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel1() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label1";
            @__ctrl.Text = "Rework due to :";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControlrdCustomerComplaint() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            this.rdCustomerComplaint = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rdCustomerComplaint";
            @__ctrl.GroupName = "RWC";
            @__ctrl.Text = "Customer Complaint";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControlrdNCR() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            this.rdNCR = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rdNCR";
            @__ctrl.GroupName = "RWC";
            @__ctrl.Text = "NCR";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControlrdFIN() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            this.rdFIN = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rdFIN";
            @__ctrl.GroupName = "RWC";
            @__ctrl.Text = "FIN";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControlrdNote() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            this.rdNote = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rdNote";
            @__ctrl.GroupName = "RWC";
            @__ctrl.Text = "Note";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.RadioButton @__BuildControlrdEmail() {
            global::System.Web.UI.WebControls.RadioButton @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.RadioButton();
            this.rdEmail = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "rdEmail";
            @__ctrl.GroupName = "RWC";
            @__ctrl.Text = "E-mail Reference";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllbldesc() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lbldesc = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lbldesc";
            @__ctrl.Text = "Details of Non-Conformity / Discrepancy :";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControllblRWCroot() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.lblRWCroot = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "lblRWCroot";
            @__ctrl.Text = "Root Cause for Non-Conformity / Discrepancy :";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "font-weight: 700");
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlCheckBox1() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.CheckBox1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "CheckBox1";
            @__ctrl.Text = "Defect Material (Supply / Procured at Site)";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlCheckBox2() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.CheckBox2 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "CheckBox2";
            @__ctrl.Text = " Modifications asked by Client";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlCheckBox3() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.CheckBox3 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "CheckBox3";
            @__ctrl.Text = "Engineering Error";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlCheckBox4() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.CheckBox4 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "CheckBox4";
            @__ctrl.Text = " Mis-handling of Materials / Equipments";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlCheckBox5() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.CheckBox5 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "CheckBox5";
            @__ctrl.Text = " Defective workmanship of Sub-Contractor";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlCheckBox6() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.CheckBox6 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "CheckBox6";
            @__ctrl.Text = "TPL Scope of work increased";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlCheckBox7() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.CheckBox7 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "CheckBox7";
            @__ctrl.Text = "Defective workmanship of TPL In-house";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlCheckBox8() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.CheckBox8 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "CheckBox8";
            @__ctrl.Text = "Drawing Revisions after completion of works";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlCheckBox9() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.CheckBox9 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "CheckBox9";
            @__ctrl.Text = "Missmatch between Civil & Mech. Drawings";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.CheckBox @__BuildControlCheckBox10() {
            global::System.Web.UI.WebControls.CheckBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.CheckBox();
            this.CheckBox10 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "CheckBox10";
            @__ctrl.Text = "Inspection Error";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlGenericControl @__BuildControlDiv1() {
            global::System.Web.UI.HtmlControls.HtmlGenericControl @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlGenericControl("div");
            this.Div1 = @__ctrl;
            @__ctrl.ID = "Div1";
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        <table border=\"1\" style=\"width: 80%; font-family: \'Trebuchet MS\'; font-" +
                        "size: 14px\" id=\"RWC1\">\r\n            <tr>\r\n                <td class=\"auto-style3" +
                        "\">&nbsp;\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel4();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl2;
            @__ctrl2 = this.@__BuildControllblRWCNO();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n\r\n                <td>\r\n                    <table>\r\n   " +
                        "                     <tr>\r\n                            <td>&nbsp;"));
            global::System.Web.UI.WebControls.Label @__ctrl3;
            @__ctrl3 = this.@__BuildControllblDateTime();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("</td>\r\n                            <td>\r\n                                "));
            global::Microsoft.SharePoint.WebControls.DateTimeControl @__ctrl4;
            @__ctrl4 = this.@__BuildControldtSWIdate();
            @__parser.AddParsedSubObject(@__ctrl4);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                            </td>\r\n                        </tr>\r\n             " +
                        "       </table>\r\n\r\n\r\n                </td>\r\n            </tr>\r\n            \r\n   " +
                        "         <tr style=\"height: 28px\">\r\n                <td>&nbsp;\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl5;
            @__ctrl5 = this.@__BuildControlLabel14();
            @__parser.AddParsedSubObject(@__ctrl5);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl6;
            @__ctrl6 = this.@__BuildControllblProjectLocation();
            @__parser.AddParsedSubObject(@__ctrl6);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n                <td>&nbsp;\r\n            "));
            global::System.Web.UI.WebControls.Label @__ctrl7;
            @__ctrl7 = this.@__BuildControllblTPLJobNo();
            @__parser.AddParsedSubObject(@__ctrl7);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl8;
            @__ctrl8 = this.@__BuildControlLabel22();
            @__parser.AddParsedSubObject(@__ctrl8);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n\r\n            </tr>\r\n            <tr style=\"height: 28px" +
                        "\">\r\n                <td>&nbsp;"));
            global::System.Web.UI.WebControls.Label @__ctrl9;
            @__ctrl9 = this.@__BuildControlLabel29();
            @__parser.AddParsedSubObject(@__ctrl9);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.TextBox @__ctrl10;
            @__ctrl10 = this.@__BuildControltxtSubcontractors();
            @__parser.AddParsedSubObject(@__ctrl10);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    &nbsp;</td>\r\n                <td class=\"auto-style3\">&nbsp;" +
                        ""));
            global::System.Web.UI.WebControls.Label @__ctrl11;
            @__ctrl11 = this.@__BuildControlLabel28();
            @__parser.AddParsedSubObject(@__ctrl11);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.TextBox @__ctrl12;
            @__ctrl12 = this.@__BuildControltxtPackage();
            @__parser.AddParsedSubObject(@__ctrl12);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n\r\n            </tr>\r\n            <tr style=\"height: 28px" +
                        "\">\r\n                <td colspan=\"2\">&nbsp;"));
            global::System.Web.UI.WebControls.Label @__ctrl13;
            @__ctrl13 = this.@__BuildControlLabel27();
            @__parser.AddParsedSubObject(@__ctrl13);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.TextBox @__ctrl14;
            @__ctrl14 = this.@__BuildControltxtDescof();
            @__parser.AddParsedSubObject(@__ctrl14);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n\r\n            </tr>\r\n            <tr style=\"height: 28px" +
                        "\">\r\n                <td colspan=\"2\">\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl15;
            @__ctrl15 = this.@__BuildControlLabel1();
            @__parser.AddParsedSubObject(@__ctrl15);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.RadioButton @__ctrl16;
            @__ctrl16 = this.@__BuildControlrdCustomerComplaint();
            @__parser.AddParsedSubObject(@__ctrl16);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.RadioButton @__ctrl17;
            @__ctrl17 = this.@__BuildControlrdNCR();
            @__parser.AddParsedSubObject(@__ctrl17);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.RadioButton @__ctrl18;
            @__ctrl18 = this.@__BuildControlrdFIN();
            @__parser.AddParsedSubObject(@__ctrl18);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.RadioButton @__ctrl19;
            @__ctrl19 = this.@__BuildControlrdNote();
            @__parser.AddParsedSubObject(@__ctrl19);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    "));
            global::System.Web.UI.WebControls.RadioButton @__ctrl20;
            @__ctrl20 = this.@__BuildControlrdEmail();
            @__parser.AddParsedSubObject(@__ctrl20);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            <tr style=\"height: 28px\">" +
                        "\r\n                <td colspan=\"2\">\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl21;
            @__ctrl21 = this.@__BuildControllbldesc();
            @__parser.AddParsedSubObject(@__ctrl21);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n\r\n            </tr>\r\n\r\n            <tr>\r\n               " +
                        " <td colspan=\"2\">\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl22;
            @__ctrl22 = this.@__BuildControllblRWCroot();
            @__parser.AddParsedSubObject(@__ctrl22);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td" +
                        ">\r\n                    "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl23;
            @__ctrl23 = this.@__BuildControlCheckBox1();
            @__parser.AddParsedSubObject(@__ctrl23);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl24;
            @__ctrl24 = this.@__BuildControlCheckBox2();
            @__parser.AddParsedSubObject(@__ctrl24);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n\r\n            <tr>\r\n                <" +
                        "td>\r\n                    "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl25;
            @__ctrl25 = this.@__BuildControlCheckBox3();
            @__parser.AddParsedSubObject(@__ctrl25);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl26;
            @__ctrl26 = this.@__BuildControlCheckBox4();
            @__parser.AddParsedSubObject(@__ctrl26);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td" +
                        ">\r\n                    "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl27;
            @__ctrl27 = this.@__BuildControlCheckBox5();
            @__parser.AddParsedSubObject(@__ctrl27);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl28;
            @__ctrl28 = this.@__BuildControlCheckBox6();
            @__parser.AddParsedSubObject(@__ctrl28);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n\r\n            <tr>\r\n                <" +
                        "td>\r\n                    "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl29;
            @__ctrl29 = this.@__BuildControlCheckBox7();
            @__parser.AddParsedSubObject(@__ctrl29);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl30;
            @__ctrl30 = this.@__BuildControlCheckBox8();
            @__parser.AddParsedSubObject(@__ctrl30);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n\r\n            <tr>\r\n                <" +
                        "td>\r\n                    "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl31;
            @__ctrl31 = this.@__BuildControlCheckBox9();
            @__parser.AddParsedSubObject(@__ctrl31);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n                <td>\r\n                    "));
            global::System.Web.UI.WebControls.CheckBox @__ctrl32;
            @__ctrl32 = this.@__BuildControlCheckBox10();
            @__parser.AddParsedSubObject(@__ctrl32);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n           \r\n        </table>\r\n    "));
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlRWCDetails() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.RWCDetails = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "RWCDetails";
            @__ctrl.Text = "Details of Reworks : ";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "font-weight: 700");
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControltxtRWCdetails() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.txtRWCdetails = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "txtRWCdetails";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(95D, global::System.Web.UI.WebControls.UnitType.Percentage);
            @__ctrl.TextMode = global::System.Web.UI.WebControls.TextBoxMode.MultiLine;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel15() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label15 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label15";
            @__ctrl.Text = "Approximate cost of Rework :";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControltxtINR() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.txtINR = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "txtINR";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControltxtNumberField() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.txtNumberField = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "txtNumberField";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlGenericControl @__BuildControlDiv2() {
            global::System.Web.UI.HtmlControls.HtmlGenericControl @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlGenericControl("div");
            this.Div2 = @__ctrl;
            @__ctrl.ID = "Div2";
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        <table border=\"1\" style=\"width: 80%; font-family: \'Trebuchet MS\'; font-" +
                        "size: 14px\" id=\"RWC2\">\r\n            <tr>\r\n                <td colspan=\"2\">\r\n    " +
                        "                "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlRWCDetails();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td" +
                        " colspan=\"2\">\r\n                    "));
            global::System.Web.UI.WebControls.TextBox @__ctrl2;
            @__ctrl2 = this.@__BuildControltxtRWCdetails();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td" +
                        " colspan=\"2\">\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl3;
            @__ctrl3 = this.@__BuildControlLabel15();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    INR:"));
            global::System.Web.UI.WebControls.TextBox @__ctrl4;
            @__ctrl4 = this.@__BuildControltxtINR();
            @__parser.AddParsedSubObject(@__ctrl4);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("Number field:"));
            global::System.Web.UI.WebControls.TextBox @__ctrl5;
            @__ctrl5 = this.@__BuildControltxtNumberField();
            @__parser.AddParsedSubObject(@__ctrl5);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            \r\n        </table>\r\n    "));
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel16() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label16 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label16";
            @__ctrl.Text = "Quality of Rework after completion :";
            ((System.Web.UI.IAttributeAccessor)(@__ctrl)).SetAttribute("style", "font-weight: 700");
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControltxtRCM() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.txtRCM = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "txtRCM";
            @__ctrl.Width = new System.Web.UI.WebControls.Unit(95D, global::System.Web.UI.WebControls.UnitType.Percentage);
            @__ctrl.TextMode = global::System.Web.UI.WebControls.TextBoxMode.MultiLine;
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.Label @__BuildControlLabel17() {
            global::System.Web.UI.WebControls.Label @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.Label();
            this.Label17 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "Label17";
            @__ctrl.Text = "Approximate cost of Rework :";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControlTextBox1() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.TextBox1 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "TextBox1";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.WebControls.TextBox @__BuildControlTextBox2() {
            global::System.Web.UI.WebControls.TextBox @__ctrl;
            @__ctrl = new global::System.Web.UI.WebControls.TextBox();
            this.TextBox2 = @__ctrl;
            @__ctrl.ApplyStyleSheetSkin(this.Page);
            @__ctrl.ID = "TextBox2";
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private global::System.Web.UI.HtmlControls.HtmlGenericControl @__BuildControlDiv3() {
            global::System.Web.UI.HtmlControls.HtmlGenericControl @__ctrl;
            @__ctrl = new global::System.Web.UI.HtmlControls.HtmlGenericControl("div");
            this.Div3 = @__ctrl;
            @__ctrl.ID = "Div3";
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n        <table border=\"1\" style=\"width: 80%; font-family: \'Trebuchet MS\'; font-" +
                        "size: 14px\" id=\"RWC3\">\r\n            <tr>\r\n                <td colspan=\"2\">\r\n    " +
                        "                "));
            global::System.Web.UI.WebControls.Label @__ctrl1;
            @__ctrl1 = this.@__BuildControlLabel16();
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td" +
                        " colspan=\"2\">\r\n                    "));
            global::System.Web.UI.WebControls.TextBox @__ctrl2;
            @__ctrl2 = this.@__BuildControltxtRCM();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            <tr>\r\n                <td" +
                        " colspan=\"2\">\r\n                    "));
            global::System.Web.UI.WebControls.Label @__ctrl3;
            @__ctrl3 = this.@__BuildControlLabel17();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                    INR:"));
            global::System.Web.UI.WebControls.TextBox @__ctrl4;
            @__ctrl4 = this.@__BuildControlTextBox1();
            @__parser.AddParsedSubObject(@__ctrl4);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("Number field:"));
            global::System.Web.UI.WebControls.TextBox @__ctrl5;
            @__ctrl5 = this.@__BuildControlTextBox2();
            @__parser.AddParsedSubObject(@__ctrl5);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n                </td>\r\n            </tr>\r\n            \r\n        </table>\r\n    "));
            return @__ctrl;
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        private void @__BuildControlTree(global::QMDDashboard_TPL.ChecklistsModule.RWCForm.RWCForm @__ctrl) {
            global::System.Web.UI.HtmlControls.HtmlTable @__ctrl1;
            @__ctrl1 = this.@__BuildControltblSWI();
            System.Web.UI.IParserAccessor @__parser = ((System.Web.UI.IParserAccessor)(@__ctrl));
            @__parser.AddParsedSubObject(@__ctrl1);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n\r\n    "));
            global::System.Web.UI.HtmlControls.HtmlGenericControl @__ctrl2;
            @__ctrl2 = this.@__BuildControlDiv1();
            @__parser.AddParsedSubObject(@__ctrl2);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n    "));
            global::System.Web.UI.HtmlControls.HtmlGenericControl @__ctrl3;
            @__ctrl3 = this.@__BuildControlDiv2();
            @__parser.AddParsedSubObject(@__ctrl3);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n    "));
            global::System.Web.UI.HtmlControls.HtmlGenericControl @__ctrl4;
            @__ctrl4 = this.@__BuildControlDiv3();
            @__parser.AddParsedSubObject(@__ctrl4);
            @__parser.AddParsedSubObject(new System.Web.UI.LiteralControl("\r\n"));
        }
        private void InitializeControl() {
            this.@__BuildControlTree(this);
            this.Load += new global::System.EventHandler(this.Page_Load);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        protected virtual object Eval(string expression) {
            return global::System.Web.UI.DataBinder.Eval(this.Page.GetDataItem(), expression);
        }
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Never)]
        protected virtual string Eval(string expression, string format) {
            return global::System.Web.UI.DataBinder.Eval(this.Page.GetDataItem(), expression, format);
        }
    }
}
